Bug 975547 - Unexpected exit status 13 from firewall-config in fedora 18
Unexpected exit status 13 from firewall-config in fedora 18
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
18
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 14:30 EDT by Bill Gorder
Modified: 2014-02-05 16:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:52:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Gorder 2013-06-18 14:30:51 EDT
Description of problem:
Pressing Reload button in Firewalld reverts any changes attempted and produces this message in log/messages

libvirtd[1105]: 2013-06-18 16:20:40.285+0000: 1105: error : virCommandWait:2287 : internal error Child process (/usr/bin/firewall-cmd --direct --passthrough ipv4 --table filter --delete INPUT --in-interface virbr0 --protocol tcp --destination-port 67 --jump ACCEPT) unexpected exit status 13

The same happens without attempting changes.

This seems similar to bug 902669.


Version-Release number of selected component (if applicable):
uname -r  3.9.2-200.fc18.x86_64
firewall-config-0.2.12-5.fc18.noarch
firewalld-0.2.12-5.fc18.noarch
libvirt-0.10.2.4-1.fc18.x86_64

How reproducible:
100 percent

Steps to Reproduce:
1. Open firewall-config
2. Press reload button
3. Examine system log

Actual results:


Expected results:


Additional info:
Comment 1 Laine Stump 2013-06-18 17:23:39 EDT
The libvirtd message is innocuous - as a normal part of restoring the iptables rules it adds to a known state, libvirtd is attempting to delete all existing rules that it would have added prior to re-adding them. Apparently when the "Reload" button is pressed, firewalld deletes *all* rules (even those added by libvirtd), then sends a dbus message to libvirtd telling it to refresh its rules. libvirt tries to delete its rules (which in this case fails), then re-adds them. Since there is no error message for a "--insert INPUT" command, this refreshing of rules is apparently successful.

I'm fairly certain that this log message has nothing to do with the real problem. I'm reassigning to firewalld for investigation from them.

> This seems similar to bug 902669.

I don't see the connection here. Can you expand on that idea? Or did you maybe paste the wrong BZ#?
Comment 2 Thomas Woerner 2013-06-19 04:31:16 EDT
What are you reporting? "Unexpected exit status 13 from firewall-config in fedora 18" or the message from libvirtd? I do not see a connection.

The message from libvirtd is nothing firewalld could change. libvirtd could report a warning for a failed cleanup, though.
Comment 3 Bill Gorder 2013-06-19 07:59:36 EDT
The problem is the firewall cannot be changed with fireall-config.  Changed fields revert to their previous state.  The text provided from /var/log/messages is the only indication of what might have failed.

Context: this is a scratch install of fedora 18 on a new system to replace a lan file and print server (among other things).  Windows hosts cannot see the system and the samba config is unchanged implying a firewall problem.  Changes made in firewall-config revert to their previous status and the attempted change is verified to have NOT taken place with netstat -plant and with iptables -L -v and ip6tables -L -v.

I don't know anything more about what might have failed other than what is in the log.  Sorry.
Comment 4 Thomas Woerner 2013-06-19 09:22:42 EDT
Are you doing runtime or permanent changes? Does the changes revert in firewall-config directly after doing them?
Comment 5 Bill Gorder 2013-06-19 10:40:39 EDT
I am doing runtime and the revert is immediate.
Comment 6 Fedora End Of Life 2013-12-21 09:03:38 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 16:52:13 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.